Status: Closed   
Assignee: Ohad Levy   
Target version: 0.1-5   
Pull request:    

Description

AddFamilyToOs: migrating ================================================

-- add_column(:operatingsystems, :family_id, :integer)

 > 0.0156s

rake aborted!

An error has occurred, all later migrations canceled:

undefined local variable or method `release_name' for #<Operatingsystem:0x2af9e14253f0>

hen next time I run it:

AddFamilyToOs: migrating ================================================

- add_column(:operatingsystems, :family_id, :integer)

ake aborted!

n error has occurred, all later migrations canceled:

Mysql::Error: Duplicate column name 'family_id': ALTER TABLE `operatingsystems` ADD `family_id` int(11)

Associated revisions

Revision 2e31dbca - 04/28/2010 05:27 PM - Ohad Levy

fixes #225 - migration fails - undefined local variable or method release_name

History

#1 - 04/28/2010 05:27 PM - Ohad Levy

- Target version set to 0.1-5

#2 - 04/28/2010 05:27 PM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 2e31dbca23d67436f831cc35c3d482393e9d35c6.

#3 - 04/28/2010 05:29 PM - Ohad Levy

- Status changed from Ready For Testing to Closed

Powered by TCPDF (www.tcpdf.org)

05/11/2024 1/1

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/2e31dbca23d67436f831cc35c3d482393e9d35c6
http://www.tcpdf.org

